
Redmine - Defect #34985

Rails 6.1 replace ActiveModel::Errors #<< with #add

2021-03-30 12:13 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

fixes

DEPRECATION WARNING: Calling `<<` to an ActiveModel::Errors message array in order to add an error is deprecated. Please call

`ActiveModel::Errors#add` instead.

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 20898 - 2021-04-01 17:41 - Go MAEDA

Fix "DEPRECATION WARNING: Calling '<<' to an ActiveModel::Errors message array in order to add an error is deprecated." (#29914, #34985).

History

#1 - 2021-03-30 12:14 - Pavel Rosický

refs #29914

#2 - 2021-03-30 12:20 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#3 - 2021-03-30 18:32 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#4 - 2021-04-01 17:27 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch as a part of #29914.

Files

errors.diff 496 Bytes 2021-03-30 Pavel Rosický
